#!/bin/bash -l

#SBATCH -J ONT_TMP
#SBATCH -N 1
#SBATCH -n 1
#SBATCH -c 10
#SBATCH --time=0-00:30:00
#SBATCH -p bigmem
#SBATCH --qos=qos-bigmem

# input/output paths
idir="/scratch/users/sbusi/ONT/mock/reference_genomes"
odir="/scratch/users/vgalata/Zymo/mash_screen_test"

# assembly
asm="${odir}/metaspades.fna"
ln -sf $(realpath "${idir}/metaspades.fna") "${odir}/metaspades.fna"

# kraken2 analysis
# conda: Kraken version 2.0.9-beta
conda activate /home/users/vgalata/miniconda3/envs/ONT_pilot/pipeline/012cd3de
# kraken2
kdb="/scratch/users/bkunath/Kraken2/maxikraken2_1903_140GB/"
kraken2 --db "${kdb}" --threads 5 --use-names --report "${odir}/kraken2_metaspades.report.tsv" --output "${odir}/kraken2_metaspades.labels.tsv" "${asm}"
